Bug 1199860 - [abrt] yum: transaction.py:72:addInstall:error: adding package to transaction failed
Summary: [abrt] yum: transaction.py:72:addInstall:error: adding package to transaction...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c8f9a61fbd3ab0f5566c7ce2872...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-09 02:18 UTC by Sergio Monteiro Basto
Modified: 2015-12-02 17:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:54:16 UTC


Attachments (Terms of Use)
File: backtrace (1.09 KB, text/plain)
2015-03-09 02:18 UTC, Sergio Monteiro Basto
no flags Details
File: environ (177 bytes, application/octet-stream)
2015-03-09 02:18 UTC, Sergio Monteiro Basto
no flags Details

Description Sergio Monteiro Basto 2015-03-09 02:18:52 UTC
Description of problem:
play with koji I found mock -r koji/dist-f20-rpmfusion_free-build-14-19 --init 
give me this error and yum remove rpm-plugin-selinux-4.12.0.1-4.fc21.i686
fix it 

Version-Release number of selected component:
yum-3.4.3-153.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/yum --installroot /var/lib/mock/dist-f20-rpmfusion_free-build-14-19/root/ groupinstall build
dso_list:       rpm-python-4.12.0.1-4.fc21.x86_64
executable:     /usr/bin/yum
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
transaction.py:72:addInstall:error: adding package to transaction failed

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 371, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 277, in main
    return_code = base.doTransaction(inhibit=inhibit)
  File "/usr/share/yum-cli/cli.py", line 704, in doTransaction
    self.populateTs(keepold=0) # sigh
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 304, in populateTs
    self.ts.addInstall(hdr, cbkey, txmbr.ts_state)
  File "/usr/lib64/python2.7/site-packages/rpm/transaction.py", line 72, in addInstall
    raise rpm.error("adding package to transaction failed")
error: adding package to transaction failed

Local variables in innermost frame:
upgrade: True
item: <rpm.hdr object at 0x7f546a0d9090>
self: <rpm.transaction.TransactionSet object at 0x7f546b04b390>
header: <rpm.hdr object at 0x7f546a0d9090>
key: <TransactionMember : perl.i686 4:5.18.1-288.fc20 - u (0x7f546922ccb0)>
how: 'u'

Comment 1 Sergio Monteiro Basto 2015-03-09 02:18:55 UTC
Created attachment 999422 [details]
File: backtrace

Comment 2 Sergio Monteiro Basto 2015-03-09 02:18:56 UTC
Created attachment 999423 [details]
File: environ

Comment 3 Sergio Monteiro Basto 2015-03-09 02:26:51 UTC
well mock prints this before traceback which is the problem 

error: Failed to dlopen /usr/lib/rpm-plugins/selinux.so /usr/lib/rpm-plugins/selinux.so: wrong ELF class: ELFCLASS32

why I got rpm-plugin-selinux.i686 on system I don't know ... and 
yum remove rpm-plugin-selinux-4.12.0.1-4.fc21.i686 

fixes this issue .

Comment 4 Edward Rudd 2015-06-02 22:57:26 UTC
This makes it impossible to create a 32bit mock root on 64bit linux now unless you remove the 32bit rpm libs (rpm-plugin-selinux.i686 which removes rpm-libs.i686)

is there some flag that mock should be specifying to yum to disable the loading of this plugin when it's creating a mock root?

Comment 5 CJ Kucera 2015-06-18 04:43:14 UTC
Yeah, I just ran into that issue as well and ended up just creating a 32-bit VM in the meantime, though deleting rpm-plugin-selinux.i686 is probably a less drastic workaround.  It'd be nice if there was a flag or something to allow it to work without deleting packages...

Comment 6 Florian Festi 2015-09-23 11:08:39 UTC
This is a bug in the rpm pluginsystem. Right now it uses 
%__plugindir            %{_libdir}/rpm-plugins
which depends on the architecture given to rpm not the architecture rpm is build for.

On the rpm cli --noplugins can be used to disable the plugins as a workaround.

Comment 7 Fedora End Of Life 2015-11-04 10:27:23 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-12-02 09:54:22 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.